Flutter iOS 16 빌드 에러 관련 문의

안녕하세요. kakao_flutter_sdk 1.2.2 버전 사용하면서 iOS 16 빌드 문제 관련하여 문의드립니다.
Xcode 14 버전으로 업데이트 이후, iOS 16 Simulator에서 kakao_flutter_sdk이 사용된 Flutter App을 실행하면 아래와 같은 에러가 나타나면서 실행이 안됩니다.

Stored properties cannot be marked potentially unavailable with ‘@available’ (AuthController.swift::40)

iOS Native Package에서는 해결된 이슈인 듯 한데 Flutter에서는 아직 해결이 되지 않은 이슈인가요? 아직 해결되지 않은 이슈라면 언제 업데이트 진행하실 예정인지 문의드립니다.

안녕하세요

현재 kakao_flutter_sdk를 사용하시면서 iOS용 SDK를 같이 포함해서 사용하고 계신 것으로 보이는데요, kakao_flutter_sdk를 사용할 때는 iOS용 SDK를 포함하실 필요가 없기 때문에 iOS용 SDK를 제거하시면 정상 동작할 것으로 보입니다.

좋아요 1